Package org.apache.tools.ant.types.optional.imageio

# Class Draw

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.imageio.ImageOperation
org.apache.tools.ant.types.optional.imageio.TransformOperation
org.apache.tools.ant.types.optional.imageio.Draw

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class Draw
    extends TransformOperation

See Also:
  `ImageIOTask`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

  `instructions`

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Draw()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addArc​(Arc arc)` | Add an arc.
  `void` | `addEllipse​(Ellipse elip)` | Add an ellipse.
  `void` | `addRectangle​(Rectangle rect)` | Add a rectangle to the operation.
  `void` | `addText​(Text text)` | Add text to the operation.
  `java.awt.image.BufferedImage` | `executeTransformOperation​(java.awt.image.BufferedImage bi)` | Performs the transformations.
  `void` | `setXloc​(int x)` | Set the X location.
  `void` | `setYloc​(int y)` | Set the Y location.

  ### Methods inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

  `addDraw, addRotate, addScale`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Draw

    public Draw()

- ## Method Details

  - ### setXloc

    public void setXloc​(int x)
    Set the X location.
    Parameters:
      `x` - the value to use.

  - ### setYloc

    public void setYloc​(int y)
    Set the Y location.
    Parameters:
      `y` - the value to use.

  - ### addText

    public void addText​(Text text)
    Add text to the operation.
    Parameters:
      `text` - the text to add.

  - ### addRectangle

    public void addRectangle​(Rectangle rect)
    Add a rectangle to the operation.
    Parameters:
      `rect` - the rectangle to add.

  - ### addEllipse

    public void addEllipse​(Ellipse elip)
    Add an ellipse.
    Parameters:
      `elip` - the ellipse to add.

  - ### addArc

    public void addArc​(Arc arc)
    Add an arc.
    Parameters:
      `arc` - the arc to add.

  - ### executeTransformOperation

    public java.awt.image.BufferedImage executeTransformOperation​(java.awt.image.BufferedImage bi)
    Performs the transformations..
    Specified by:
      `executeTransformOperation` in class `TransformOperation`
    Parameters:
      `bi` - The image to perform the transformation on.
    Returns:
      the transformed image.